#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main() {
	int n;
	cin >> n;
	double a[n], p[n], x[n];
	double suma;

	for (int i = 0; i <= n - 1; i++){
        cin >> a[i] >> p[i];
        suma = 0;
        p[i] = p[i]/100;
        x[i] = 0;
	}

	for (int i = 0; i <= n - 1; i++){
        for(int j = 0; j <= n - 1; j++){
            if(p[j] >= p[i])
                x[i] += a[j]*p[i];

        }
        if(x[i] > suma)
            suma = x[i];
	}
	printf("%f", suma);

	return 0;
}